Subject: Re: Pull is Evil

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Apr 2014 12:53:43 -0700

Felipe Contreras <[email-masked]> writes:

> Junio C Hamano wrote:
>> Felipe Contreras <[email-masked]> writes:
>> > Matthieu Moy wrote:
>> >> Felipe Contreras <[email-masked]> writes:
>> >> ...
>> >> > Yes, this has been discussed many times in the past, and everyone agrees
>> >> > the default behavior is not correct.
>> >> 
>> >> You definitely have a strange notion of "everyone".
>
>> While I do not quite see the previous discussion as deciding the
>> particular implementation is good without further tweaks, I would
>> say that everybody agrees that the default behaviour is not good for
>> everybody and therefore should (or for Linus, "it is OK to") change.
> ...
> I said 'everyone agrees the default behavior is not correct', which is
> true.

Isn't that what I said a few lines above?  Why are you still
arguing?